<?php

/**
 * Build the form to edit domain properties.
 *
 * @param type $form
 * @param type $form_state
 * @param type $did
 * @return type
 */
function drd_domain_edit($form, &$form_state, $did) {
  $domain = drd_domain_load($did);

  $form['#did'] = $did;

  $form['usessl'] = array(
    '#type' => 'checkbox',
    '#title' => t('Use SSL'),
    '#default_value' => $domain->usessl,
  );
  $form['status'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enabled'),
    '#default_value' => $domain->status,
  );

  _drd_tags_build_form('domain', $did, $form);

  $subform = drd_operation_remote('drd.config.domain.read', 'domain', $did);
  if (!empty($subform) && is_array($subform)) {
    $form = array_merge($form, $subform);
  }

  $form['actions'] = array('#type' => 'actions');
  $form['actions']['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Save'),
  );
  return $form;
}

/**
 * Store the edited domain properties.
 *
 * @param type $form
 * @param type $form_state
 */
function drd_domain_edit_submit($form, &$form_state) {
  $values = $form_state['values'];
  db_update('drd_domain')
    ->fields(array('usessl' => $values['usessl'], 'status' => $values['status']))
    ->condition('did', $form['#did'])
    ->execute();

  _drd_tags_save('domain', $form['#did'], $values['tags']);

  drd_operation_remote('drd.config.domain.save', 'domain', $form['#did'], $values);
}
